package cz.muni.fi.pb162.project.geometry;

/**
 * Class for creating a circle
 * @author Vitalii Bortsov
 */
public class Circle implements Measurable, Circular {
    private final Vertex2D center;
    private final double radius;

    /**
     * Simple constructor of circle-object
     * @param center coordinates of center in Vertex2D
     * @param radius length of radius. If it is not positive, it will be set on 1.0
     */
    public Circle(Vertex2D center, double radius) {
        if(radius <= 0) {
            this.radius = 1.0;
        } else {
            this.radius = radius;
        }
        this.center = center;
    }

    /**
     * free-parametric constructor. Default values are center [0, 0] and radius 1.0
     */
    public Circle() {
        this(new Vertex2D(0,0), 1.0);
    }

    @Override
    public double getRadius() {
        return radius;
    }

    @Override
    public Vertex2D getCenter() {
        return center;
    }

    @Override
    public String toString() {
        return "Circle: center=" + center + ", radius=" + radius;
    }

    @Override
    public double getWidth() {
        return 2 * radius;
    }

    @Override
    public double getHeight() {
        return 2 * radius;
    }
}
